*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: -apple-system, sans-serif;
}

:root
{
    --bg-color:#fff;
    --snd-bg-color:#a95c25;
    --text-color:#000;
    --main-color:#a95c25;
}

html
{
    font-size: 62.5%;
    overflow-x: hidden;
}

body
{
    background: var(--bg-color);
    color: var(--text-color);
}

section
{
    min-height: 100vh;
    padding: 10rem 9% 2rem;
}

/*Header Code Section*/

.header
{
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2rem 5%;
    background: var(--main-color);
    backdrop-filter: blur(10px);
    transition: all 0.5s ease;
}

.logo
{
   font-size: 3rem;
   color: var(--bg-color);
   font-weight: 700;
   cursor: pointer;
   transition: 0.3s ease;
}

.logo:hover
{
    transform: scale(1.05);
}

.navbar a
{
    font-size: 1.9rem;
    color: var(--bg-color);
    margin-left: 4rem;
    font-weight: 700;
    transition: 0.3s ease;
}

.navbar a:hover,
.navbar a.active
{
    color: var(--text-color);
}

#menu-icon
{
    font-size: 3.6rem;
    color: var(--bg-color);
    cursor: pointer;
    display: none;
}


/* Home Section Code */
.home
{
 display: flex;
  align-items: center;
  justify-content: center;
  gap: 2rem;
}
.home-img img
{
    width: 500px;
     border: 2px solid var(--main-color);
    border-radius: 025%;
    box-shadow: 0 0 25px var(--main-color);
    cursor: pointer;
    transition: 0.4s ease;
  /* border-radius: 50%;
  box-shadow: 0 0 25px var(--main-color);
  cursor: pointer;
  animation: floatImage 4s ease-in-out infinite;
  transition: 0.4s ease; */
}

.home-img img:hover
{
    box-shadow: 0 0 25px var(--main-color),
                0 0 35px var(--main-color),
                0 0 45px var(--main-color);
}

@keyframes floatImage
{0%
    {
        transform: translateY(0);
    }
    50%
    {
        transform: translateY(-2.4rem);
    }
    100%
    {
        transform: translateY(0);
    }
}


.heading
{
    font-size: 6rem;
    text-align: center;
}


.home-content
{
    padding: 0 4rem;
    /* margin-left: 5rem; */
}

.home-content h3
{
    text-align: left;
    font-size: 3.7rem;
    font-weight: 700;;
}

.home-content h3:nth-of-type(2)
{
    margin-bottom: 2rem;

}

span
{
    color:#a95c25;
    /* color: var(--main-color); */
}

.home-content h1
{
    font-size: 6rem;
    font-weight: 700;
    line-height: 1.3;

}

.home-content p
{
    font-size: 1.6rem;

}

.social-media a
{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    background: transparent;
    border: 0.2rem solid var (--main-color);
    border-radius: 50%;
    font-size: 4rem;
    color: var(--main-color);
    margin: 3rem 1.5rem 3rem 0;
    transition: 0.3s ease;
}

.social-media a:hover
{
    transform: scale(1.2) translateY(-10px);
    background-color: var(--main-color);
    color: var(--bg-color);
    box-shadow: 0 0 25px var(--main-color);
}

.btn
{
    display: inline-block;
    padding: 1rem 2.8rem;
    background: var(--main-color);
    border-radius: 4rem;
    box-shadow: none;
    font-size: 1.6rem;
    color: var(--bg-color);
    letter-spacing: 0.1rem;
    font-weight: 600;
    transition: 0.3s ease;
}

.btn:hover
{
   box-shadow: 0 0 1.6rem var(--main-color);

}


/* About section code */
.about
{
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2rem;
  background: var(--snd-bg-color)
}

.about-img img
{
    width: 25vw;
    border: 2px solid var(--main-color);
    border-radius: 15%;
    box-shadow: 0 0 25px var(--main-color);
    cursor: pointer;
    transition: 0.4s ease;
}


.about-img img:hover
{
    box-shadow: 0 0 25px var(--main-color),
                0 0 35px var(--main-color),
                0 0 45px var(--main-color);
}

.heading
{
    font-size: 6rem;
    text-align: center;
}
.about-content
{
    padding: 0 4rem;;
}

.about-content h2
{
  color: white;
    text-align: left;
    line-height: 1.2;
}

.about-content h3
{
  color: white;
  font-size: 3rem
}

.about-content p
{
  color: white;
  font-size: 2rem;
  margin: 2rem 0 3rem;
}

 /* <!-- Services Section code --> */
.services h2
{
    color: #a95c25;
    text-align: center;
    margin-bottom: 5rem;
}

.services-container
{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.services-container .services-box
{
    flex: 1 1 30rem;
    background: var(--snd-bg-color);
    padding: 6rem 2rem 6rem;
    border-radius: 2rem;
    text-align: center;
    border: 0.3rem solid var(--bg-color);
    transition: 0.3s ease;
    color: white;
}

.services-container .services-box:hover
{
    border-color: var(--main-color);
    transform: scale(1.02);
}

.services-box
{
    font-size: 7rem;
    color: var(--main-color);
}

.services-box h3
{
    font-size: 2.6rem;
}

.services p
{
    font-size: 1.6rem;
    margin: 1rem 0 3rem;
}
/* Testimonial section code */

.Testimonial
{
  background: var(--snd-bg-color);
}

.Testimonial-box
{
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.Testimonial .heading
{
  margin-bottom: 5rem;
}

.Testimonial-box img
{
  width: 15rem;
  border-radius: 50%;
  border: 3px solid var(--main-color);
  box-shadow:  0 0 25px var(--main-color);
}

.wrapper
{
  display: grid;
  grid-template-columns: repeat(3,1fr);
  gap: 3rem;
}

.Testimonial-item
{
  min-height: 450px;
  max-width: 450px;
  background: var(--bg-color);
  border: 0.3rem solid var(--bg_color);
  border-radius: 2rem;
  margin: 0 2rem;
  padding: 20px 20px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1.5rem;
  color: var(--text-color);
  transition: 0.3s ease;

}

.Testimonial-item:hover
{
    border-color: var(--main-color);
    transform: scale(1.02);
}

.Testimonial-item h2
{
    font-size: 3rem;
}

.Testimonial-item p
{
    font-size: 1.5rem;
    text-align: center;
    ;
}

#star
{
    color: gold;
    font-size: 2rem;
}

/* contact section code */
.contact
{
  background: var(--bg-color);
}

contact .heading
{
  text-align: center;
}
.contact h2
{
    margin-bottom: 3rem;
    color: var(--main-color);
}

.contact form
{
    max-width: 80rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;
}

.contact form .input-box
{
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.contact form .input-box input,
.contact form textarea
{
  width: 100%;
  padding: 1.5rem;
  font-size: 1.6rem;
  color: var(--text-color);
  background: var(--bg-color);
  border-radius: 0.8rem;
  border: 0.25rem solid var(--main-color);
  margin: 0.7rem 0;
  resize: none;
}
.contact form .input-box input
{
  width: 49%;
  margin: 0.7rem 0.35rem;
}
.contact form .btn
{
  margin-top: 2rem;
}
/* footer section code */
.footer
{
  position: relative;
  bottom: 0;
  width: 100%;
  padding: 40px 0;
  background-color: var(--snd-bg-color);
}

.footer .social
{
  text-align: center;
  padding-bottom: 25px;
  color: var(--main-color);
}

.footer .social a
{
  font-size: 25px;
  color: var(--main-color);
  border: 2px solid var(--main-color);
  width: 42px;
  height: 42px;
  line-height: 42px;
  display: inline-block;
  text-align: center;
  border-radius: 50%;
  margin: 0 10px;
  transition: 0.3s ease;
}

.footer .social a:hover
{
  transform: scale(1.2) translateY(-10px);
  background-color: var(--main-color);
  color: var(--bg-color);
  box-shadow: 0 0 25px var(--main-color);
}
.footer .copyright
{
  margin-top: 20px;
  text-align: center;
  font-size: 16px;
  color: var(--text-color);
}

/* Responsive Design code */
@media (max-width: 1200px)
 {
    html {font-size: 55%;}
 }
@media (max-width: 991px)
{
  .header{padding: 2rem 3%;}
  .section {padding: 10rem 3%;}
  .services{padding: 7rem;}
  .Testimonial .wrapper{grid-template-columns: repeat(1,1fr);}
  .contact form .input-box .input
  {
    width: 100%;
  }
  .footer
  {
    padding: 2rem 3%;
  }
@media (max-width: 991px)
{
  #menu-icon
  {
    display: block;
  }
.navbar
{
  position: absolute;
  top: 100%;
  right: -100%;
  width: 255px;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  background: var(--main-color);
  transition: all 0.5s ease;
  backdrop-filter: blur(10px);
}
.navbar a
{
  display: block;
  padding: 17px;
  font-size: 22px;
}
.navbar .active
{
  right: 0;
}
.home
{
  flex-direction: column;
}
.home-content h3
{
  font-size: 2.6rem;
}
.home-content h1
{
  font-size: 5rem;
}
.home-content
{
  order: 2;
  margin-left: 1rem;
}
.home-img img
{
  width: 70vw;
  margin-top: 4rem;
}
.about
{
  flex-direction: column-reverse;
}
.about-img img
{
  width: 70vw;
  margin-top: 4rem;
}
.services h2
{
  margin-bottom: 3rem;
}
@media (max-width: 671px)
{
  .home-img img
  {
    width: 70vw;
    margin-top: 8rem;
  }
  .about-img img
  {
    width: 70vw;
    margin-top: 4rem;
  }
}
@media (max-width: 671px)
{
   html {font-size: 50%;}
}
}
}
